## usbrelay 0.1

=== debian/changelog ===
usbrelay (0.1-1ubuntu1) vivid; urgency=medium

  * debian/patches/linking.patch: Use LDLIBS instead of LDFLAGS to fix FTBFS
    with ld --as-needed.
  * Drop the hardening patch, as it is no longer applicable with this change.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 03:08:18 -0500

usbrelay (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #764391)

 -- Jan Dittberner <jandd@debian.org>  Mon, 13 Oct 2014 17:54:30 +0200

## usbrelay 0.2

=== Makefile ===
CFLAGS = -O2 -Wall
HIDAPI = hidraw
LDFLAGS = -lhidapi-$(HIDAPI)

all: usbrelay

clean:
	rm -f usbrelay

install: usbrelay
	install -d $(DESTDIR)/usr/bin
	install -m 0755 usbrelay $(DESTDIR)/usr/bin

.PHONY: all clean install

=== debian/changelog ===
usbrelay (0.2-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:05 +0000

usbrelay (0.2-1) unstable; urgency=medium

  * New upstream version
  * Fix "use LDLIBS instead of LDFLAGS to fix FTBFS with ld --as-needed" by
    adding patch debian/patches/use-ldlibs-772430.patch by Logan Rosen
    (Closes: #772430)
  * drop hardening patch, it's functionality is provided by the new
    patch

 -- Jan Dittberner <jandd@debian.org>  Fri, 16 Oct 2015 21:37:53 +0200

=== debian/control ===
Source: usbrelay
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jan Dittberner <jandd@debian.org>
Homepage: https://github.com/darrylb123/usbrelay
Section: electronics
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libhidapi-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/usbrelay.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/usbrelay.git

Package: usbrelay
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: USB HID relay driver
 a small utility to control USB HID based relays that can be used for home
 automation or other switching needs. The devices are available from several
 sources and are able to handle up to 10A 250VAC.
 .
 An example application are USB controlable power switches. You may use such a
 switch to control the power supply of an external hard disk drive for backup
 purposes.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE=1

%:
	dh $@


override_dh_installudev:
	dh_installudev --priority=92

=== debian/watch ===
version=3
opts="filenamemangle=s/.*v(\d[\d\.]*)\.tar\.gz/usbrelay-$1.tar.gz/" \
 https://github.com/darrylb123/usbrelay/tags .*/v(\d[\d\.]*)\.tar\.gz

## usbrelay 0.4

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,9 @@
 LDFLAGS = -lhidapi-$(HIDAPI)
 
 all: usbrelay
+
+usbrelay: usbrelay.c
+	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)
 
 clean:
 	rm -f usbrelay

=== debian/changelog ===
usbrelay (0.4-2) unstable; urgency=medium

  * Fix "ftbfs with GCC-9" by applying patch by Rainer Herrmann (Closes:
    #925846)

 -- Jan Dittberner <jandd@debian.org>  Fri, 16 Aug 2019 10:46:39 +0200

usbrelay (0.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Jan Dittberner ]
  * New upstream version
  * replace debian/patches/0001-use-LDLIBS-instead-of-LDFLAGS.patch with more
    generic
    debian/patches/0001-make-CFLAGS-LDFLAGS-and-CPPFLAGS-customizable.patch
  * bump Standards-Version to 4.2.1 (no changes)
  * bump debhelper compatibility to 10
  * include /usr/share/dpkg/buildflags.mk for hardening

 -- Jan Dittberner <jandd@debian.org>  Sun, 21 Oct 2018 17:30:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: usbrelay
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jan Dittberner <jandd@debian.org>
+Maintainer: Jan Dittberner <jandd@debian.org>
 Homepage: https://github.com/darrylb123/usbrelay
 Section: electronics
 Priority: optional
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libhidapi-dev
-Vcs-Git: git://anonscm.debian.org/collab-maint/usbrelay.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/usbrelay.git
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10), libhidapi-dev
+Vcs-Git: https://salsa.debian.org/debian/usbrelay.git
+Vcs-Browser: https://salsa.debian.org/debian/usbrelay
 
 Package: usbrelay
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk
#DH_VERBOSE=1

%:
	dh $@

override_dh_installudev:
	dh_installudev --priority=92

## usbrelay 1.0

=== Makefile ===
CFLAGS += -O2 -Wall
HIDAPI = hidraw
LDFLAGS += -lhidapi-$(HIDAPI)
PYTHON_INCLUDE=$(shell python3-config --includes)

PREFIX=/usr

#Default 32 bit x86, raspberry pi, etc..
LIBDIR = $(PREFIX)/lib

#Catch x86_64 machines that use /usr/lib64 (RedHat)
ifneq ($(wildcard $(PREFIX)/lib64/.),)
    LIBDIR = $(PREFIX)/lib64
endif

#Catch debian machines
DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)
ifneq ($(DEB_HOST_MULTIARCH),)
  ifneq ($(wildcard $(PREFIX)/lib/$(DEB_HOST_MULTIARCH)/.),)
    LIBDIR = $(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
  endif
endif

all: usbrelay libusbrelay.so 
python: usbrelay libusbrelay.so libusbrelay_py.so

libusbrelay.so: libusbrelay.c libusbrelay.h 
	$(CC) -shared -fPIC $(CPPFLAGS) $(CFLAGS)  $< $(LDFLAGS) -o $@ 

usbrelay: usbrelay.c libusbrelay.h libusbrelay.so
	$(CC) $(CPPFLAGS) $(CFLAGS)  $< -lusbrelay -L./ $(LDFLAGS) -o $@

# Command to generate version number if running from git repo
DIR_VERSION = $(shell basename `pwd`)
GIT_VERSION = $(shell git describe --tags --match '[0-9].[0-9]*' --abbrev=10 --dirty)

# If .git/HEAD and/or .git/index exist, we generate git version with
# the command above and regenerate it whenever any of these files
# changes. If these files don't exist, we use ??? as the version.
gitversion.h: $(wildcard .git/HEAD .git/index)
	echo "#define GITVERSION \"$(if $(word 1,$^),$(GIT_VERSION),$(DIR_VERSION))\"" > $@

usbrelay.c libusbrelay.c: gitversion.h

#We build this once directly for error checking purposes, then let python do the real build

libusbrelay_py.so: libusbrelay_py.c libusbrelay.so
	$(CC) -shared -fPIC $(PYTHON_INCLUDE) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -L./ -lusbrelay -o $@ $<
	python3 setup.py build

clean:
	rm -f usbrelay
	rm -f libusbrelay.so
	rm -f libusbrelay_py.so
	rm -rf build
	rm -f gitversion.h


install: usbrelay libusbrelay.so
	install -d $(DESTDIR)$(LIBDIR)
	install -m 0755 libusbrelay.so $(DESTDIR)$(LIBDIR)
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 0755 usbrelay $(DESTDIR)$(PREFIX)/bin

install_py: install libusbrelay.so libusbrelay_py.so
	python3 setup.py install --prefix=$(DESTDIR)

.PHONY: all clean install

=== debian/changelog ===
usbrelay (1.0-2.2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:25:52 +0000

usbrelay (1.0-2.2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:17:09 +0000

usbrelay (1.0-2.2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:52 +0100

usbrelay (1.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr (Closes: #1073619)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 08 Jul 2024 01:05:48 +0200

usbrelay (1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:55:19 +0200

usbrelay (1.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Jan Dittberner <jandd@debian.org>  Mon, 16 May 2022 19:54:15 +0200

usbrelay (1.0-1) unstable; urgency=medium

  [ Michal Sojka ]
  * New upstream version 1.0
  * Drop "v" prefix from the watch file and update to version=4
  * Drop 0001-make-CFLAGS-LDFLAGS-and-CPPFLAGS-customizable.patch
  * Update gcc9.patch (Closes: Bug#916557)
  * Pass Debian package version to the build system
  * Use upstream man page rather than Debian one
  * Override lintian soname error
  * Add python3-usbrelay package
  * Add usbrelayd package providing interface to MQTT
  * Update udev rules
  * Bump debhelper compatibility to 13 (no changes)
  * Bump Standards-Version to 4.6.0 (no changes)
  * Update copyright information
  * Announce the hardware support using AppStream
  * Add usbrelayd(8) manpage
  * Fix spelling error
  * Add myself as uploader
  * Use DynamicUser rather than hardcoding usbrelay user
  * Add Documentation key to usbrelayd.service
  * Add "Rules-Requires-Root: no" to d/control
  * Remove StopWhenUnneeded from systemd service (backport from upstream)

  [ Jan Dittberner ]
  * fix filenamemangle parameter in debian/watch

 -- Jan Dittberner <jandd@debian.org>  Fri, 06 May 2022 17:07:11 +0200

=== debian/control ===
Source: usbrelay
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Michal Sojka <wsh@2x.cz>
Homepage: https://github.com/darrylb123/usbrelay
Section: electronics
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), libhidapi-dev, dh-python, python3-all-dev,
 python3-setuptools
Vcs-Git: https://salsa.debian.org/debian/usbrelay.git
Vcs-Browser: https://salsa.debian.org/debian/usbrelay
Rules-Requires-Root: no

Package: usbrelay
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: USB HID relay driver
 a small utility to control USB HID based relays that can be used for home
 automation or other switching needs. The devices are available from several
 sources and are able to handle up to 10A 250VAC.
 .
 An example application are USB controllable power switches. You may use such a
 switch to control the power supply of an external hard disk drive for backup
 purposes.

Package: python3-usbrelay
Architecture: any
Section: python
Depends:
 usbrelay (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for USB HID relay driver
 a small utility to control USB HID based relays that can be used for home
 automation or other switching needs. The devices are available from several
 sources and are able to handle up to 10A 250VAC.
 .
 This package contains a Python module for interacting with the relays.

Package: usbrelayd
Architecture: all
Section: net
Depends:
 python3-usbrelay (>= ${source:Version}), python3-usbrelay (<< ${source:Version}.1~),
 python3-paho-mqtt,
 ${python3:Depends},
 ${misc:Depends},
 adduser,
Description: MQTT client for USB HID relay driver
 a small utility to control USB HID based relays that can be used for home
 automation or other switching needs. The devices are available from several
 sources and are able to handle up to 10A 250VAC.
 .
 This package contains a daemon that allows using usbrelay via MQTT
 with Home Assistant or nodered.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
# export DH_VERBOSE=1

export PYBUILD_NAME=usbrelay

%:
	dh $@ --with python3

# When the package is built from git repo, its build system extracts
# the version from git. When we build it for Debian, we don't have the
# upstream tags so we set the version explicitly.
override_dh_auto_build:
	dh_auto_build -- GIT_VERSION="$(DEB_VERSION)" DIR_VERSION="$(DEB_VERSION)"
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild

override_dh_installudev:
	dh_installudev --priority=92
